<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/


$route['default_controller'] = 'welcome';
$route['404_override'] = '';
$route['translate_uri_dashes']     = FALSE;
$route['banner_list/(:num)']       = 'banner_list/index';
$route['banner_add/(:num)']        = 'banner_add/index';
$route['banner_add/(:num)/(:num)'] = 'banner_add/index';
$route['page_list/(:num)']         = 'page_list/index';
$route['page_add/(:num)']          = 'page_add/index';
$route['page_add/(:num)/(:num)']   = 'page_add/index';

$route['menu_list/(:num)']         = 'menu_list/index';
$route['menu_add/(:num)']          = 'menu_add/index';
$route['menu_add/(:num)/(:num)']   = 'menu_add/index';

$route['sub_menu_list/(:num)']         = 'sub_menu_list/index';
$route['sub_menu_add/(:num)']          = 'sub_menu_add/index';
$route['sub_menu_add/(:num)/(:num)']   = 'sub_menu_add/index';


$route['gallery_list/(:num)']       = 'gallery_list/index';
$route['gallery_add/(:num)']        = 'gallery_add/index';
$route['gallery_add/(:num)/(:num)'] = 'gallery_add/index';
$route['gallery_images/(:num)']     = 'gallery_images/index';
$route['news_list/(:num)']          = 'news_list/index';
$route['news_add/(:num)']           = 'news_add/index';
$route['news_add/(:num)/(:num)']    = 'news_add/index';
$route['blog_list/(:num)']          = 'blog_list/index';
$route['blog_add/(:num)']           = 'blog_add/index';
$route['blog_add/(:num)/(:num)']    = 'blog_add/index';
$route['news_detail/(:num)']        = 'news_detail/index';
$route['news_detail/(:num)/(:num)'] = 'news_detail/index';
$route['blog_detail/(:num)']        = 'blog_detail/index';
$route['blog_detail/(:num)/(:num)'] = 'blog_detail/index';

$route['university_list/(:num)']          = 'university_list/index';
$route['university_add/(:num)']           = 'university_add/index';
$route['university_add/(:num)/(:num)']    = 'university_add/index';
$route['university_detail/(:num)']        = 'university_detail/index';
$route['university_detail/(:num)/(:num)'] = 'university_detail/index';

$route['university_gallery_images/(:num)']  = 'university_gallery_images/index';





